---
title: Reproducible science in practice
date: 2021-05-07T10:00:00
lastmod: 2021-05-07T10:00:00
author: ArturoS
authorlink: https://github.com/artfisica
avatar: https://indico.in2p3.fr/event/20306/images/6620-yo.jpg
cover: /school2021/img/reproducible-sciences-classes.png
images:
  - /school2021/img/ml.png
categories:
  - Coding environment, tools, good code practice for collaborative and continuous developments
tags:
  - Coding
  - Day 4
---

Reproducible Science in Practice

<!--more-->
<!---->

<!-- Dear instructor:
* The dates at the top of this markdown (.md) document will help order the classes in the portal.
Please, if you don't need to, do not change the one that is now.
* Take into account that there is a feature in the dates: if you use a date in the future, the class will be not visible in the portal until the date you have assigned.
* You can create dedicated folders if you need to.
* But if you simply need to add some pictures, you can use the folder ../static/img/ mentioned at the top as /school2021/img/
-->

<!---->

## Summary

It refers to a series of principles, techniques, tools and practical considerations that allow the documentation, recording and preservation of data analysis pipelines — enhancing the possibilities of collaborations across borders and increasing the probabilities of replicating results by others (and yourself) in the future. Reproducibility involves using standard and well-established protocols to ensure that your code will survive outside your computer, the passing of time and that others will be able to use it as a starting point for new analysis. We will explore several of those tools: from the use of version control and [Jupyter notebook](https://jupyter.org/) in the cloud to prepare and encapsulate software environments (VM, containers) and the usage of good practices regarding licences, citation and DOIs.

<hr>

## **Session #1**

Please, take into account that many links are inserted in the images. Follow those to get/download/explore the mentioned resources:

### Google Slides
<CENTER>

<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vQy1lo8qrWG4CyRKKpva_HRU1REvsnQ6KRk5AV9-BvnxYfmOeYCRio0b-mIV9z42UxWFr-WA7cqnngu/embed?start=false&loop=false&delayms=3000" frameborder="0" width="100%" height="505" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>

</CENTER>

### Recorded lecture

<CENTER>

<iframe width="100%" height="500" src="https://www.youtube.com/embed/i5b-2U7d9js" title="Reproducible Science in practice" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

</CENTER>


### PDF Slides
<CENTER>

<object data="https://indico.in2p3.fr/event/20306/contributions/95830/attachments/64244/90062/reproducible-science-in-practice-01.pdf" type="application/pdf" width="100%" height="550px">
    <embed src="https://indico.in2p3.fr/event/20306/contributions/95830/attachments/64244/90062/reproducible-science-in-practice-01.pdf">
        <p>This browser does not support PDFs. Please download the PDF to view it: <a href="https://indico.in2p3.fr/event/20306/contributions/95830/attachments/64244/90062/reproducible-science-in-practice-01.pdf">Download PDF</a>.</p>
    </embed>
</object>

</CENTER>

---

## **Session #2**

Please, take into account that many links are inserted in the images. Follow those to get/download/explore the mentioned resources:

### Google Slides

<CENTER>

<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vRKT0Le_PqShaYsx9TX_bCRABS5o3z5glLJnqnyr_gYR7T0ZflyzRd7AxHj8kST8LeqCrF2jMhbEjvw/embed?start=false&loop=false&delayms=3000" frameborder="0" width="100%" height="505" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>

</CENTER>

### Recorded lecture

<CENTER>

<iframe width="100%" height="500" src="https://www.youtube.com/embed/8Si021BOTUI" title="Reproducible Science in practice" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

</CENTER>


### PDF Slides
<CENTER>

<object data="https://indico.in2p3.fr/event/20306/contributions/95831/attachments/64579/90061/reproducible-science-in-practice-02.pdf" type="application/pdf" width="100%" height="525px">
    <embed src="https://indico.in2p3.fr/event/20306/contributions/95831/attachments/64579/90061/reproducible-science-in-practice-02.pdf">
        <p>This browser does not support PDFs. Please download the PDF to view it: <a href="https://indico.in2p3.fr/event/20306/contributions/95831/attachments/64579/90061/reproducible-science-in-practice-02.pdf">Download PDF</a>.</p>
    </embed>
</object>

</CENTER>


---

***La science reproductible en pratique:***
*Il fait référence à une série de principes, techniques, outils et considérations pratiques qui permettent la documentation, l'enregistrement et la préservation des pipelines d'analyse de données - améliorant les possibilités de collaborations transfrontalières et augmentant les probabilités de répliquer les résultats par d'autres (et par vous-même) à l'avenir. . La reproductibilité implique l'utilisation de protocoles standard et bien établis pour garantir que votre code survivra en dehors de votre ordinateur, au fil du temps et que d'autres pourront l'utiliser comme point de départ pour une nouvelle analyse. Nous explorerons plusieurs de ces outils: de l'utilisation du contrôle de version et des notebooks dans le cloud pour préparer et encapsuler les environnements logiciels (VM, conteneurs) et l'utilisation de bonnes pratiques concernant les licences, les citations et les DOI.*
