---
title: Scikit-HEP
date: 2021-05-05
lastmod: 2021-05-05
author: Eduardo Rodrigues
avatar: https://indico.in2p3.fr/event/20306/images/6649-EduardoRodrigues.jpg
cover: /school2021/img/Scikit-HEP_logo.png
images:
  - /school2021/img/Scikit-HEP_logo.png
categories:
  - Community specific analysis
tags:
  - Python
  - Day 6
---

Scikit-HEP


<!--more-->
<!---->

<!-- Dear instructor:
* The dates at the top of this markdown (.md) document will help order the classes in the portal.
Please, if you don't need to, do not change the one that is now.
* Take into account that there is a feature in the dates: if you use a date in the future, the class will be not visible in the portal until the date you have assigned.
* You can create dedicated folders if you need to.
* But if you simply need to add some pictures, you can use the folder ../static/img/ mentioned at the top as /school2021/img/
-->

<!---->

# Scikit-HEP

The Scikit-HEP project is a community-driven and community-oriented project with the aim of providing Particle Physics at large with an ecosystem for data analysis in Python.

## Lecture abstract

Data analysis in High Energy Physics (HEP) has evolved considerably in recent years. In particular, the role of Python has gained much momentum, sharing at present the show with C++ as a language of choice. Several (community) domain-specific projects have seen the day, providing (HEP) data analysis packages that profit from, and talk to well with, the huge Python scientific ecosystem, which navigates around NumPy and friends. This lecture introduces the Scikit-HEP project, which I started in late 2016 with a few colleagues from various backgrounds and domains of expertise. Scikit-HEP is a community-driven and community-oriented project with the aim of providing Particle Physics at large with a Big Data ecosystem for analysis in Python. It has developed considerably in the past couple of years, and is now part of the official software stack of the experiments ATLAS, Belle II, CMS and KM3NeT. In this lecture ample time will be provided to "play around" with the material, in Jupyter notebooks.

## Lecture content

The content of this lecture is composed of notebooks that you may find in the repository

https://github.com/escape2020/school2021/tree/main/scikit-hep.

<iframe frameborder="0" height="400" width="100%" scrolling="yes" src="https://nbviewer.jupyter.org/github/escape2020/school2021/tree/main/scikit-hep/"></iframe>


## Recorded video

<iframe width="100%" height="500" src="https://www.youtube.com/embed/4blTEy5rZ3s" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>


## References and external

- https://scikit-hep.org/
- https://github.com/scikit-hep
- Mirror of lecture at https://github.com/eduardo-rodrigues/2021-06-14_ESCAPESummerSchool

---
