---
title: Seminar - AI in Cosmological Experiments
date: 2021-05-06
lastmod: 2021-05-06
author: Prof. Ofer Lahav
avatar: https://www.ucl.ac.uk/astrophysics/sites/astrophysics/files/styles/small_image/public/ofer_lahav_ucl_2014_0.jpg
cover: /school2021/img/telescope.png
images:
  - /school2021/img/telescope.png
categories:
  - ML
tags:
  - Day 5
weight: 1
---

Seminar - AI in Cosmological Experiments

<!--more-->
<!---->

<!-- Dear instructor:
* The dates at the top of this markdown (.md) document will help order the classes in the portal.
Please, if you don't need to, do not change the one that is now.
* Take into account that there is a feature in the dates: if you use a date in the future, the class will be not visible in the portal until the date you have assigned.
* You can create dedicated folders if you need to.
* But if you simply need to add some pictures, you can use the folder ../static/img/ mentioned at the top as /school2021/img/
-->

<!---->

# AI in Cosmological Experiments


## Abstract


Detailed observations of the present contents of the Universe are consistent with the Lambda + Cold Dark Matter model, subject to some ‘tensions'.
To probe these components further the Dark Energy Survey and larger galaxy surveys require new statistical approaches.
In particular the role of Artificial Intelligence, or preferably Augmented Intelligence, is crucial for analysing forthcoming surveys (e.g. Rubin-LSST and Euclid) of billions of galaxies.
This also requires new ways to train the next generation of scientists for the challenges ahead.


Prof. Ofer Lahav  is Perren Chair of Astronomy in the Astrophysics Group atUniversity College London (UCL) and Vice-Dean (International) of the UCL Faculty of Mathematical and Physical Sciences (MAPS).
He is also Co-Director of the STFC-funded Centre for Doctoral Training in Data Intensive Science at UCL.
Ofer's research area is Observational Cosmology, in particular probing Dark Matter and Dark Energy.
His work involves Machine Learning for Big Data.
https://www.ucl.ac.uk/astrophysics/professor-ofer-lahav


## Slides

https://indico.in2p3.fr/event/20306/contributions/96462/attachments/64795/90019/Lahav_Escape_AI_11June2021.ppt


## Video

<iframe width="100%" height="500" src="https://www.youtube.com/embed/QvmPhVWgKqI" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>


---
