# 🌱 hugo-theme-dream

![GitHub release (latest by date)](https://img.shields.io/github/v/release/g1eny0ung/hugo-theme-dream)
![Hugo min version](https://img.shields.io/badge/hugo--min--version-0.57.2-important)
![GitHub](https://img.shields.io/github/license/g1eny0ung/hugo-theme-dream)

- [The next version is out](#the-next-version-is-out)
- [Note After v1.1.0](#note-after-v110)
- [Major update in 2019-11-10](#major-update-in-2019-11-10)
- [Intro](#intro)
- [Documentation](#documentation)
- [Installation](#installation)
- [Example](#example)
- [Publish](#publish)

## The next version is out

> If you still want to use the old version, you can check out the branch to `release-1.6`.

The new version brings some new design elements and bug fixes. When it stabilizes, it will be released as `v2.0.0`.

All changes will be committed to the `master` branch. You can check the screenshot below to see the rough interface changes.

For more detail, please refer to the [Release v2.0.0-beta](https://github.com/g1eny0ung/hugo-theme-dream/releases/tag/v2.0.0-beta).

## Note After v1.1.0

> It's needed to set the **`about`** folder to **`Headless Bundle`**.

Related docs:

<https://g1eny0ung.site/hugo-theme-dream/#/quick-start?id=add-quotabout-mequot>

<https://g1eny0ung.site/hugo-theme-dream/#/about-page>

<https://gohugo.io/content-management/page-bundles/#headless-bundle>

## Major update in 2019-11-10

I completely rewrite the page layout to [masonry layout](https://masonry.desandro.com/).

Correspondingly, the configuration (`config.toml`) also has some breaking changes.

Please refer to the documentation for details.

If you have other problems, you can also ask in the [issues](https://github.com/g1eny0ung/hugo-theme-dream/issues).

## Intro

Dream is a [Hugo](https://gohugo.io/) theme. I build it for [my blog](http://g1eny0ung.site).

The main features are **full page flip** and **masonry layout views**.~

Dream also support **light mode** and **dark mode** out of the box.

demo: [https://themes.gohugo.io/theme/hugo-theme-dream/](https://themes.gohugo.io/theme/hugo-theme-dream/)

![https://raw.githubusercontent.com/g1eny0ung/hugo-theme-dream/master/images/screenshot.png](https://raw.githubusercontent.com/g1eny0ung/hugo-theme-dream/master/images/screenshot.png)

All tags of this theme:

- flip
- masonry layout
- i18n
- blog
- google-analytics
- disqus
- responsive
- copyright
- avatar
- motto
- social links
- creative
- personal
- light mode
- dark mode
- search

## Documentation

[https://g1eny0ung.site/hugo-theme-dream](https://g1eny0ung.site/hugo-theme-dream)

## Installation

Go into your blog folder and:

```sh
cd themes
git clone https://github.com/g1eny0ung/hugo-theme-dream.git dream
```

Then open your `config.toml` and edit to `theme = "dream"` and save.

## Example

[My Blog](https://g1eny0ung.site)

[My Blog's Source Code](https://github.com/g1eny0ung/blog)

## Publish

View [hugo hosting-and-deployment](https://gohugo.io/hosting-and-deployment/)

## License

MIT © [g1eny0ung](https://github.com/g1eny0ung)
